proxies:
  - name: "局域网-http"
    type: http
    server: 192.168.1.33
    port: 6666
    username: "365020"
    password: "365020"

  - name: "局域网-socks"
    type: socks5
    server: 192.168.1.33
    port: 9999
    username: "365020"
    password: "365020"

  - name: "腾讯云中转-http"
    type: http
    server: 49.234.207.241
    port: 6666
    username: "365020"
    password: "365020"

  - name: "腾讯云中转-socks"
    type: socks5
    server: 49.234.207.241
    port: 9999
    username: "365020"
    password: "365020"

  - name: "v6直连-http"
    type: http
    server: xxwlyq.v6.rocks
    port: 6666
    username: "365020"
    password: "365020"

  - name: "v6直连-socks"
    type: socks5
    server: xxwlyq.v6.rocks
    port: 9999
    username: "365020"
    password: "365020"

  - name: "阿里云hy2"
    type: hysteria2
    server: 43.99.252.34
    port: 6789
    password: "365020"
    skip-cert-verify: true
    up: "150 Mbps"
    down: "150 Mbps"

  - name: "内网hy2"
    type: hysteria2
    server: 43.99.252.34
    port: 9999
    password: "365020"
    skip-cert-verify: true
    up: "150 Mbps"
    down: "150 Mbps"

proxy-groups:
  - name: "自动选择"
    type: select
    proxies:
      - "阿里云hy2"
      - "内网hy2"
      - "局域网-http"
      - "局域网-socks"
      - "腾讯云中转-http"
      - "腾讯云中转-socks"
      - "v6直连-http"
      - "v6直连-socks"

rules:
  - MATCH,自动选择